Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-28233

Missing help files in LDAP configuration

    Details

    • Similar Issues:

      Description

      For Jenkins 1.577, several help files were moved to LDAP plugin and therefore deleted in core, see https://github.com/jenkinsci/jenkins/commit/e91782e78f1ade105c5f9ce11088bf9c95618180.
      The LDAP plugin's version (1.6) was not updated to the version containing the help files (1.11), so the help links are invalid unless you manually update LDAP plugin to 1.11.

      Example link:
      Manage Jenkins/Configure Global Security/Access Control: Security Realm = LDAP, help for "Server"

        Attachments

          Activity

          Hide
          danielbeck Daniel Beck added a comment -

          I'd like to know what's incompatible. The changelog seems to indicate this is only a warning about downgrading being broken, which we probably could ignore.

          Show
          danielbeck Daniel Beck added a comment - I'd like to know what's incompatible. The changelog seems to indicate this is only a warning about downgrading being broken, which we probably could ignore.
          Hide
          danielbeck Daniel Beck added a comment -

          https://github.com/jenkinsci/ldap-plugin/commit/4a80681fe19a4c8d88dd82be6393f215cf5420c9 seems harmless enough, so this seems fine despite the warning (in fact, it's a weird one as it only affects downgrading).

          Show
          danielbeck Daniel Beck added a comment - https://github.com/jenkinsci/ldap-plugin/commit/4a80681fe19a4c8d88dd82be6393f215cf5420c9 seems harmless enough, so this seems fine despite the warning (in fact, it's a weird one as it only affects downgrading).
          Hide
          olivergondza Oliver Gondža added a comment -

          There is no reason to revert this on master. As it was not released yet I target this for 1.609.2.

          Show
          olivergondza Oliver Gondža added a comment - There is no reason to revert this on master. As it was not released yet I target this for 1.609.2.
          Hide
          albers Harald Albers added a comment -

          After this is released, I'll update the plugin's wiki page:

          However, for backwards compatibility purposes, subsequent core releases still bundle the (old) version.

          Show
          albers Harald Albers added a comment - After this is released, I'll update the plugin's wiki page: However, for backwards compatibility purposes, subsequent core releases still bundle the (old) version .
          Hide
          albers Harald Albers added a comment -

          updated the plugin page

          Show
          albers Harald Albers added a comment - updated the plugin page

            People

            • Assignee:
              albers Harald Albers
              Reporter:
              albers Harald Albers
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: